curl --request POST \
--url 'https://api.stateset.com/api/v1/store-credits/{id}/adjust' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"note": "Two-person tent, green — replacement for damaged pole set."
}'
{
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"original_balance": "49.00",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending"
}
Adjust a store credit
Adjust a store credit
POST
/
api
/
v1
/
store-credits
/
{id}
/
adjust
curl --request POST \
--url 'https://api.stateset.com/api/v1/store-credits/{id}/adjust' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"note": "Two-person tent, green — replacement for damaged pole set."
}'
{
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"original_balance": "49.00",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending"
}
Path parameters
string
required
Store credit ID
Request body
AdjustStoreCreditRequest
string
required
string,null
Response
StoreCreditResponse
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/store-credits/{id}/adjust' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"amount": "49.00",
"note": "Two-person tent, green — replacement for damaged pole set."
}'
{
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"original_balance": "49.00",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending"
}
Last modified on August 31, 2026